Package com.trilead.ssh2.crypto.cipher

## Class CipherInputStream

- java.lang.Object
- - com.trilead.ssh2.crypto.cipher.CipherInputStream

    public class CipherInputStream
    extends java.lang.Object

CipherInputStream.

### Constructor Summary

Constructors
`CipherInputStream​(BlockCipher tc, java.io.InputStream bi)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `changeCipher​(BlockCipher bc)`
`int` `read()`
`int` `read​(byte[] dst)`
`int` `read​(byte[] dst, int off, int len)`
`int` `readPlain​(byte[] b, int off, int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CipherInputStream

    public CipherInputStream​(BlockCipher tc,
                             java.io.InputStream bi)

### Method Detail

#### changeCipher

    public void changeCipher​(BlockCipher bc)

#### read

    public int read​(byte[] dst)
             throws java.io.IOException

Throws:
  `java.io.IOException`

#### read

    public int read​(byte[] dst,
                    int off,
                    int len)
             throws java.io.IOException

Throws:
  `java.io.IOException`

#### read

    public int read()
             throws java.io.IOException

Throws:
  `java.io.IOException`

#### readPlain

    public int readPlain​(byte[] b,
                         int off,
                         int len)
                  throws java.io.IOException

Throws:
  `java.io.IOException`